!datファイルからたわみを読み込み平均を出すプログラム
!y方向
implicit real*8(a-h,o-z)
dimension x(500000),y(500000),z(500000)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!
nset=84-3!全ての行数-3行
!読み込むファイル名
open (8,file='seihoz.dat')
!出力ファイル
open (7,file='seihoz.txt')
!!!!!!!!!!!!!!!!プログラム
read (8,'( )')
read (8,'( )')
read (8,'( )')
tawamigoukei=0.0d0
do i=1,nset
read(8,*) n,x(i),y(i),z(i)
tawamigoukei=tawamigoukei+y(i)
end do
tawamiheikin=tawamigoukei/nset
close(8)
write(7,'(1pe13.5)') tawamiheikin
close(7)
end 
